Bug 89500 - ISO 8601 combined date and time input not recognized in locales with a time separator other than ':'
Summary: ISO 8601 combined date and time input not recognized in locales with a time s...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:4.5.0 target:4.3.7 target:4.4.2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-20 14:06 UTC by Eike Rathke
Modified: 2015-03-03 10:07 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2015-02-20 14:06:15 UTC
Split-off from bug 88359, an ISO 8601 combined date and time like 2014-11-23T12:34:56 is not recognized in locales that use a time separator other than ':' colon, for example it-IT Italian that uses '.' dot.
Comment 1 Commit Notification 2015-02-20 14:17:36 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d572e673dec3396487b14bb1f9e86aa8ab86786

Resolves: tdf#89500 catch ISO 8601 datetime in all locales

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Eike Rathke 2015-02-20 14:40:42 UTC
Pending review
https://gerrit.libreoffice.org/14565 for 4-4
https://gerrit.libreoffice.org/14566 for 4-3
Comment 3 Commit Notification 2015-02-25 08:53:22 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b5339e73a52c2eb45f5eb4707ee846af4bab99ef&h=libreoffice-4-3

Resolves: tdf#89500 catch ISO 8601 datetime in all locales

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-03-03 10:07:21 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a46a1895f6280b8da2dd6ea61b6c39aea9952f3d&h=libreoffice-4-4

Resolves: tdf#89500 catch ISO 8601 datetime in all locales

It will be available in 4.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.